Loading...
Searching...
No Matches
net::PortForwardingInfo Struct Reference

Port forwarding info. More...

## Public Attributes

boolean | enabled
| `true` if port forwarding is enabled
boolean | nodeIndexValid
| `true` if nodeIndex is valid
int | nodeIndex
| Index of the node in the port forwarding cascade.
boolean | expansionUnitConnected
| `true` if this node has an expansion unit connected
string | primaryUnitDownstreamIfName
| Primary unit downstream interface (usb: any USB iface) More...
vector< PortForwardingPrimaryUnitAddrInfo > | primaryUnitIPv4AddrInfos
| Primary unit address info for IPv4.
vector< PortForwardingPrimaryUnitAddrInfo > | primaryUnitIPv6AddrInfos
| Primary unit address info for IPv6.
string | linkLocalIPv6Address
| link-local address of port forwarding interface

## Detailed Description

Port forwarding info.

## Member Data Documentation

## primaryUnitDownstreamIfName

string net::PortForwardingInfo::primaryUnitDownstreamIfName

Primary unit downstream interface (usb: any USB iface)

the first entry of each vector has the default route set (if default route is set at all)

The documentation for this struct was generated from the following file:

- Net.idl